diff --git a/conf/site.conf b/conf/site.conf
index 206aa35a..5df172a1 100644
--- a/conf/site.conf
+++ b/conf/site.conf
@@ -38,13 +38,15 @@ SCONF_VERSION = "1"
 # Uncomment this to use a shared download directory
 YP_MIRROR  = "http://downloads.yoctoproject.org/mirror/sources/"
 CAF_MIRROR = "https://portland.source.codeaurora.org/mirrored_source/quic/le/"
+CLO_MIRROR = "https://codelinaro.jfrog.io/artifactory/codelinaro-le/"
 CAF_GIT    = "git://codeaurora.org/quic/le"
 CAF_LE_GIT = "https://source.codeaurora.org/quic/le/"
 CAF_LA_GIT = "https://source.codeaurora.org/quic/la/"
-
-PREMIRRORS_append = "https?$://.*/.* ${CAF_MIRROR}/\n"
-PREMIRRORS_append = "svn$://.*/.* ${CAF_MIRROR}/\n"
-PREMIRRORS_append = "git?$://.*/.* ${CAF_MIRROR}/\n"
-PREMIRRORS_append = "ftps?$://.*/.* ${CAF_MIRROR}/\n"
+CLO_LA_GIT = "git://git.codelinaro.org/clo/la"
+CLO_LE_GIT = "git://git.codelinaro.org/clo/le"
+PREMIRRORS_append = "https?$://.*/.* ${CLO_MIRROR}/\n"
+PREMIRRORS_append = "svn$://.*/.* ${CLO_MIRROR}/\n"
+PREMIRRORS_append = "git?$://.*/.* ${CLO_MIRROR}/\n"
+PREMIRRORS_append = "ftps?$://.*/.* ${CLO_MIRROR}/\n"
 PREMIRRORS_append = "svn$://.*/.* ${YP_MIRROR}/\n"
 PREMIRRORS_append = "git?$://.*/.* ${YP_MIRROR}/\n"
diff --git a/recipes-android/mkdtimg/mkdtimg-native_git.bb b/recipes-android/mkdtimg/mkdtimg-native_git.bb
index 640a2240..c8805684 100644
--- a/recipes-android/mkdtimg/mkdtimg-native_git.bb
+++ b/recipes-android/mkdtimg/mkdtimg-native_git.bb
@@ -13,7 +13,7 @@ DEPENDS += " dtc-native"
 
 PR = "r1"
 
-SRC_URI = "git://source.codeaurora.org/quic/la/platform/system/libufdt.git;protocol=https;destsuffix=system/libufdt;branch=keystone/p-keystone-qcom-release \
+SRC_URI = "${CLO_LA_GIT}/platform/system/libufdt.git;protocol=https;destsuffix=system/libufdt;branch=caf_migration/keystone/p-keystone-qcom-release \
            file://0001-libufdt-support-autoconf-compile.patch"
 
 S = "${WORKDIR}/system/libufdt"
diff --git a/recipes-core/update-rc.d/update-rc.d_%.bbappend b/recipes-core/update-rc.d/update-rc.d_%.bbappend
index 1a4657a0..bf45d59d 100644
--- a/recipes-core/update-rc.d/update-rc.d_%.bbappend
+++ b/recipes-core/update-rc.d/update-rc.d_%.bbappend
@@ -1,4 +1,4 @@
-SRC_URI = "${CAF_GIT}/platform/external/update-rc.d;protocol=git;branch=github/master \
+SRC_URI = "${CLO_LE_GIT}/platform/external/update-rc.d;protocol=https;branch=caf_migration/github/master \
           "
 
 PR = "r6"
diff --git a/recipes-devtools/libsync/libsync.bb b/recipes-devtools/libsync/libsync.bb
index 32915b12..fba11384 100644
--- a/recipes-devtools/libsync/libsync.bb
+++ b/recipes-devtools/libsync/libsync.bb
@@ -9,7 +9,7 @@ ${LICENSE};md5=89aea4e17d99a7cacdbeed46a0096b10"
 PR = "r1"
 
 FILESEXTRAPATHS_prepend := "${THISDIR}/${BPN}:"
-SRC_URI = "git://source.codeaurora.org/quic/la/platform/system/core/;protocol=git;nobranch=1;rev=8fbe56b11ee7c1f8c87e9b71d89caa306c6cdebb;destsuffix=libsync;subpath=libsync;name=libsync"
+SRC_URI = "${CLO_LA_GIT}/platform/system/core;protocol=https;nobranch=1;rev=8fbe56b11ee7c1f8c87e9b71d89caa306c6cdebb;destsuffix=libsync;subpath=libsync;name=libsync"
 SRC_URI += "file://configure.ac;subdir=${BPN}"
 SRC_URI += "file://Makefile.am;subdir=${BPN}"
 SRC_URI += "file://libsync.pc.in;subdir=${BPN}"
diff --git a/recipes-devtools/prelink/prelink_git.bbappend b/recipes-devtools/prelink/prelink_git.bbappend
index d07b9386..4a110d01 100644
--- a/recipes-devtools/prelink/prelink_git.bbappend
+++ b/recipes-devtools/prelink/prelink_git.bbappend
@@ -1,5 +1,5 @@
 FILESEXTRAPATHS_prepend := "${THISDIR}:"
-SRC_URI = "${CAF_GIT}/platform/external/prelink-cross;protocol=git;branch=yocto/cross_prelink \
+SRC_URI = "${CLO_LE_GIT}/platform/external/prelink-cross;protocol=https;branch=caf_migration/yocto/cross_prelink \
            file://prelink.conf \
            file://prelink.cron.daily \
            file://prelink.default \
diff --git a/recipes-devtools/protobuf/protobuf_3.3.0.bb b/recipes-devtools/protobuf/protobuf_3.3.0.bb
index 3cb99212..80b77916 100644
--- a/recipes-devtools/protobuf/protobuf_3.3.0.bb
+++ b/recipes-devtools/protobuf/protobuf_3.3.0.bb
@@ -18,7 +18,7 @@ SRCREV = "a6189acd18b00611c1dc7042299ad75486f08a1a"
 
 PV = "3.3.0+git${SRCPV}"
 
-SRC_URI = "git://source.codeaurora.org/quic/le/protobuf.git;protocol=git;branch=protobuf/master"
+SRC_URI = "${CLO_LE_GIT}/protobuf.git;protocol=https;branch=caf_migration/protobuf/master"
 
 EXTRA_OECONF += " --with-protoc=echo"
 
